### Hierarchy

- RefCounted
  - Timer
    - Timeout

## Index

### Methods

- [toPrimitive]
- hasRef
- ref
- refresh
- unref

## Methods

### [toPrimitive]

- [toPrimitive](): number

- - Defined in node_modules/@types/node/timers.d.ts:34

  #### Returns number

### hasRef

- hasRef(): boolean

- - Defined in node_modules/@types/node/timers.d.ts:32

  #### Returns boolean

### ref

- ref(): Timer

- Inherited from RefCounted.ref

  - Defined in node_modules/@types/node/globals.d.ts:226

  #### Returns Timer

### refresh

- refresh(): Timer

- - Defined in node_modules/@types/node/timers.d.ts:33

  #### Returns Timer

### unref

- unref(): Timer

- Inherited from RefCounted.unref

  - Defined in node_modules/@types/node/globals.d.ts:227

  #### Returns Timer

Generated using TypeDoc